package com.ruoyi.base.mapper;

import java.util.List;
import com.ruoyi.base.domain.BasePlcParam;

/**
 * PLC参数信息Mapper接口
 * 
 * @author zangch
 * @date 2024-11-01
 */
public interface BasePlcParamMapper 
{
    /**
     * 查询PLC参数信息
     * 
     * @param objId PLC参数信息主键
     * @return PLC参数信息
     */
    public BasePlcParam selectBasePlcParamByObjId(Long objId);

    /**
     * 查询PLC参数信息列表
     * 
     * @param basePlcParam PLC参数信息
     * @return PLC参数信息集合
     */
    public List<BasePlcParam> selectBasePlcParamList(BasePlcParam basePlcParam);

    /**
     * 新增PLC参数信息
     * 
     * @param basePlcParam PLC参数信息
     * @return 结果
     */
    public int insertBasePlcParam(BasePlcParam basePlcParam);

    /**
     * 修改PLC参数信息
     * 
     * @param basePlcParam PLC参数信息
     * @return 结果
     */
    public int updateBasePlcParam(BasePlcParam basePlcParam);

    /**
     * 删除PLC参数信息
     * 
     * @param objId PLC参数信息主键
     * @return 结果
     */
    public int deleteBasePlcParamByObjId(Long objId);

    /**
     * 批量删除PLC参数信息
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBasePlcParamByObjIds(Long[] objIds);
}
